ids and get one entry per company, in the same order.include=icps to get each ICP's full details instead — the same fields Retrieve Ideal Customer Profiles returns — so you do not need a second call to resolve names. An ICP matched by several of the requested companies is repeated under each of them.icps:read OAuth2 scope.X-Api-Key: ********************{
"ids": [
"159001425",
"129011"
]
}curl --location 'https://api.leadfeeder.com/v1/icps/companies?account_id=123456&include=undefined' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"ids": [
"159001425",
"129011"
]
}'{
"data": [
{
"id": "159001425",
"relationships": {
"icps": [
{
"attributes": {
"created_at": "2024-12-10T15:57:25Z",
"filters": {
"employee_count": [
{
"display_value": "51-200",
"negated": false,
"search_value": "51-200"
}
],
"location": [
{
"display_value": "United States",
"negated": false,
"search_value": "US",
"type": "country_code"
}
]
},
"name": "US Prospects"
},
"id": "6080",
"type": "icp"
},
{
"attributes": {
"created_at": "2025-02-03T08:41:12Z",
"filters": {
"location": [
{
"display_value": "Germany",
"negated": false,
"search_value": "DE",
"type": "country_code"
}
]
},
"name": "DACH Mid-Market"
},
"id": "6081",
"type": "icp"
}
]
},
"type": "company"
},
{
"id": "129011",
"relationships": {
"icps": []
},
"type": "company"
}
],
"meta": {
"request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
}
}